/* pause.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
 * TOM Mailboxsystem
 * Copyright (C) 1993 1994 1995 Frank Baumgart, Uwe Ohse
 *
 * #include <all_rights_reserved>
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "config.h"

#include <portab.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <time.h>
#include <unistd.h>

#include "prototyp.h"
#include "befehle.h"
#include "modem.h"



/*
	02.05.93 Frank
*/
BOOLEAN bef_pause(const char *para)
{
	time_t start,zL;

	if (!*para)
		para = "1";

	if (!isdigit(*para))
	{
		parameter_falsch("PAUSE",para);
		return FALSE;
	}

	start = time(NULL);
	zL = Max(1,atoi(para));		/* minimal eine Sekunde. */
	zL = Min(60,zL);				/* maximal eine Minute */

	do
	{
		mbprintf("\r -> Pause (%ld Sekunde%s)  ",(long)zL,zL>1? "n" : "");
		if (userbreak())
		{
			mboutput(" -> unterbrochen\r\n\n");
			return TRUE;
		}
		sleep(1);
	}
	while (time(NULL)-start <= zL);
	mboutput("\r                           \n\n");

	return TRUE;

} /* bef_pause */
