proc abrufmenuhelp { off lang } {
    global mausnetinfozahl
    global mausnetinfofile
    global SCHNELLOGOUT
    global TRENNSTRICHE
    global MAIL_IS_EXTERN

    set auswahl ""

	set gname [getgroupname]

	set last [tom_getvar "%uL"]
	set datum \
"[string range $last 6 7].[string range $last 4 5].[string range $last 0 3]"
	set zeit "[string range $last 8  9]:[string range $last 10 11]"

	set auswahl ""
	set liste ""


	if [string compare "$gname" Postfach] {
		append_entry auswahl liste "(G)ruppe wechseln"
		append_entry auswahl liste "Ins (P)ostfach wechseln"
		set pf 0
	} else {
		append_entry auswahl liste "In (G)ruppe wechseln"
		set pf 1
	}
	if {$pf && $MAIL_IS_EXTERN} {
		append_entry auswahl liste "(A)brufen (lesen)"
	} else {
		append_entry auswahl liste "Vergleichs(D)atum setzen (aktuell: $zeit $datum)"
		append_entry auswahl liste "(0)Originalvergleichsdatum zurckholen"
		append_entry auswahl liste "(1)Vergleichsdatum auf letzten Login setzen"
		append_entry auswahl liste "(2)Vergleichsdatum auf vorletzten Login setzen"
		if {$TRENNSTRICHE} {
			lappend liste "---------------------"
		}
		append_entry auswahl liste "(A)lle Nachrichten lesen"
		append_entry auswahl liste "(N)eue Nachrichten lesen"
		append_entry auswahl liste "Ab (#)Nummer lesen"
		append_entry auswahl liste "(I)nhalt anzeigen"
	}
	append_entry auswahl liste "(T)ausch: Inhalt als Outfile exportieren"
	if {!$pf} {
		append_entry auswahl liste "(B)estellen fr den MausTausch"
	}
	if {$TRENNSTRICHE} {
		lappend liste "---------------------"
	}
	if {$SCHNELLOGOUT} {
   		append_entry auswahl liste "(!) Schnell ausloggen"
   	}
	append_entry auswahl liste "(Z)urck"

	if {$lang} {
		if { $off > 0} {
			# Wenn nicht Hilfe, sondern Men 
			tom_puts "($gname)"
		}

		do_help $off $liste
		return "$auswahl"
	}
	kurz_menue_hilfe $auswahl
	tom_puts "($gname)"
	return "$auswahl?"
}
proc abrufmenu { } {
	global logout_modus
    global MAIL_IS_EXTERN
	set gname [getgroupname]
	if [string compare "$gname" Postfach] {
		set pf 0
	} else {
		set pf 1
	}

	while (1) {
		if {$logout_modus!=0} { return }
		set wahl [work_menu "Nachrichten abrufen" abrufmenuhelp]

		if { "$wahl" == "Z" } {
			return
        } elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
		} elseif { "$wahl" == "P" } {
			tom_befehl "PM"
		} elseif { "$wahl" == "G" } {
			set gruppe "X"
			while {[string length "$gruppe"] == 1} {
				tom_puts \
"Welche Gruppe? (L fr Liste, N fr Liste von Gruppen mit neuen Nachrichten)"
				set gruppe [tom_gets]
				if { ![string compare "L" "$gruppe"] \
					|| ![string compare "l" "$gruppe"]} {
					tom_befehl "BRETT *"
				} elseif {![string compare "N" "$gruppe"] \
					|| ![string compare "n" "$gruppe"]} {
					tom_befehl "BRETT"
				} elseif {[string length "$gruppe"] >0} {
					tom_puts "$gruppe"
					tom_befehl "BRETT $gruppe"
				} else {
					break
				}
			}
			set gname [tom_getvar "%gN"]
		} elseif { "$wahl" == "D" } {
			# "DATUM 1.1.90" tut leider nicht.
			tom_befehl "DATUM *"
		} elseif { "$wahl" == "0" } {
			tom_befehl "DATUM -0"
		} elseif { "$wahl" == "1" } {
			tom_befehl "DATUM -1"
		} elseif { "$wahl" == "2" } {
			tom_befehl "DATUM -2"
	    } elseif { "$wahl" == "A" } {
			if {$pf && $MAIL_IS_EXTERN} {
				tom_befehl "extern-mail"
			} else {
				# Alle Nachrichten lesen
				tom_befehl "LESEN 1"
			}
	    } elseif { "$wahl" == "N" } {
	    	# Neue Nachrichten lesen
	    	tom_befehl "LESEN"
	    } elseif { "$wahl" == "B" } {
	    	# Bestellen.
	    	tom_befehl "TAUSCH ADD"
		} elseif { "$wahl" == "#" } {
			tom_puts -nonewline "Ab welcher Nummer?"
			set nummer [tom_gets]
			if {[string length $nummer]} {
				tom_befehl "LESEN $nummer"
			}
	    } elseif { "$wahl" == "I" || "$wahl" == "T" } {
	    	# Inhalt anzeigen oder Tausch Brett
	    	if { "$wahl" == "I" } {
	    		set cmd "INHALT"
	    	} else {
				if {$pf && $MAIL_IS_EXTERN} {
					# nicht unkompliziert ...
					tom_puts ""
					set d [tom_read_date]
					tom_puts "date is [tom_time_t_to_mtzeit $d]"
	    			wait_after
					continue
				} else {
		    		set cmd "T BRETT"
				}
	    	}
	    	while 1 {
	    		tom_puts -nonewline "Von Nummer (Leereingabe: Abbruch, *: Alle:"
	    		set von [tom_gets]
	    		if {[string length "$von"]==0} {
	    			break
	    		}
	    		if {![string compare "$von" "*" ]} {
	    			tom_befehl "${cmd} *"
	    			wait_after
	    			break
	    		}
	    		if { [string match {*-} "$von"] } {
	    			tom_befehl "${cmd} $von"
	    			wait_after
	    			break
	    		}
	    		if {"$von" > 0} {
					tom_puts -nonewline "Bis Nummer (Leereingabe: Bis Ende):"
					set bis [tom_gets]
					if {[string length "$bis"] ==0} {
						tom_puts "${cmd} $von-"
						tom_befehl "${cmd} $von-"
	    				wait_after
						break
					}
					tom_puts "${cmd} $von-$bis"
					tom_befehl "${cmd} $von-$bis"
	    			wait_after
					break;
	    		}
	    	}
			wait_after
		} else { 
			tom_puts "????" 
		}
	}
}

