#
# interface.tcl: Interfaceroutinen fuer den Aufruf der TCL-Funktionen
# und der Mausoberflche aus dem C-Source heraus.
#
#
# Prueft ob aus einem Verzeichnis gelesen werden darf.
# haeufig gebrauchte Funktion ... gedacht zur Benutzung aus
# dem Tausch heraus.
#
proc ta_saug_check_readperm { path } {

	set readflag 0
	set writeflag 0

	pt_get_acc $path readflag writeflag ;

	if {$readflag} {
		return "ok";
	}
	return "nok";
}

source $tomtcl_dir/maus/_functions.tcl
source $tomconfig_dir/mausconf.tcl
source $tomtcl_dir/maus/informationen.tcl
source $tomtcl_dir/maus/pt_download.tcl
source $tomtcl_dir/maus/pt_functions.tcl
source $tomtcl_dir/maus/pt_index.tcl
source $tomtcl_dir/maus/pt_inhalt.tcl
source $tomtcl_dir/maus/pt_progteil.tcl
source $tomtcl_dir/maus/pt_such.tcl
source $tomtcl_dir/maus/pt_tausch.tcl
source $tomtcl_dir/maus/pt_upload.tcl

set pt_username [tom_getvar "%uN"]
set pt_userlevel [tom_getvar "%ul"]
set quickout 0
set pt_sw_1("text") ""
set pt_sw_1("modus") 0
set pt_sw_1("inupl") 0
set pt_sw_2("text") ""
set pt_sw_2("modus") 0
set pt_sw_2("inupl") 0

