#rem Oeffentlichen Programmteil durchsuchen
#rem uo, 29.3.1997

#rem benutzt grep, egrep und fgrep

#magic  PINDEX:
#level  2
#id     2049
#gruppe P
#version 1
#typ    B
#name   Programmteilindex durchsuchen
#text   Hiermit knnen Sie den Programmteilindex durchsuchen lassen

#desc   CPINDEX:

#desc   FA
#desc   KSuchtyp
#desc   LWhlen Sie Wildcard, regulre Ausdrcke oder Textsuche
#desc   ATR:
#desc   BRegulre Ausdrcke
#desc   ATE:
#desc   BErweiterte regulre Ausdrcke
#desc   ATT:
#desc   Beinfache Textsuche

#desc   FA
#desc   KCasesensitivitt
#desc   LSoll die Suche casesensitiv sein?
#desc   ACS:
#desc   BJa
#desc   ACI:
#desc   BNein

#desc   S1024
#desc   LSuchbegriff

source $tomtcl_dir/maus/_functions.tcl
source $tomconfig_dir/mausconf.tcl

proc command { str } {
	set r [regexp "PINDEX" $str x1]
	set r [regexp  "^PINDEX:T(R|T):C(S|I):(.*)$" $str mat typ sens such]
	if {$r==0} {
		return "illegales Kommando";
	}
	# ein bischen paranoia - schliesslich bergeben wir das der Shell ...
	# *nur* mit ' kann man ausbrechen - also verbieten wir das einfach.
	if {[string first "'" $such]!=-1} {
		return "Illegales Zeichen im Suchtext: '";
	}
	if {0==[string compare $typ "R"]} {
		set com "grep"
	} elseif {0==[string compare $typ "R"]} {
		set com "egrep"
	} else {
		set com "fgrep"
	}
	if {0==[string compare $sens "I"]} {
		set com "$com -i"
	}
	set tmpdir [tom_getvar %pt]
	set tmp "$tmpdir/grep.[pid].tmp"
	set com "$com -- '$such' /pub/allfiles.txt >$tmp"
	set ret [catch {exec /bin/sh -c $com} var]
	tom_puts "Suchkommando $str ausgefuehrt"
	if {$ret == 0} {
		return "out-file:$tmp"
	} else {
		return "Fehler: $var"
	}
}
