#line 54 "confvars.m4"
#ifndef BOX_CONF_H
#line 54
#define BOX_CONF_H
#line 54

#line 54
/*
#line 54
   Immer beachten:
#line 54
   sizeof(CL_BOOLEAN) != sizeof(BOOLEAN)
#line 54
   Wenn man in dieser Struktur BOOLEAN benutzt und auf CL_BOOLEAN
#line 54
   abbildet, ist das Resultat berraschend.
#line 54
   BOOLEAN ist halt nicht Standard.
#line 54
*/
#line 54

#line 54
typedef int BOOL_TYP;
#line 54
typedef struct {
#line 54
	long onlinezeit[10];
#line 61 "confvars.m4"
	const char * mausnet_kennung;
#line 66
	const char * systemname;
#line 71
	const char * domainname;
#line 76
	const char * msgid_domain;
#line 86
	const char * user_dir;
#line 91
	const char * batch_dir;
#line 96
	const char * bin_dir;
#line 101
	const char * binbrett_dir;
#line 106
	const char * bretter_dir;
#line 111
	const char * config_dir;
#line 116
	const char * hilfe_dir;
#line 121
	const char * infofile_dir;
#line 126
	const char * log_dir;
#line 131
	const char * modules_dir;
#line 136
	const char * spool_dir;
#line 141
	const char * tausch_dir;
#line 146
	const char * texte_dir;
#line 151
	const char * tmp_dir;
#line 156
	const char * tcl_dir;
#line 161
	const char * var_dir;
#line 169
	const char * online_from;
#line 174
	const char * online_to;
#line 179

#line 182

#line 185

#line 188

#line 191

#line 194

#line 197

#line 200

#line 203

#line 206

#line 211
	BOOL_TYP paid_fulltime;
#line 216
	BOOL_TYP anybody_fulltime;
#line 221
	long paid_extratime;
#line 226
	BOOL_TYP paid_download_unlimited;
#line 231
	char * nologin_device_file;
#line 236
	char * nologin_global_file;
#line 244
	const char * cnf_file_name;
#line 249
	const char * quark_dir;
#line 252

#line 257
	const char * offline_cnf;
#line 262
	const char * system_user_name;
#line 271
	const char * bad_password_prg;
#line 276
	const char * sys_stat_system_cmd;
#line 281
	const char * banner_file;
#line 286
	const char * mailer_daemon;
#line 291
	BOOL_TYP view_user;
#line 296
	const char * login_protection;
#line 301
	long login_tries;
#line 309
	const char * modem_portname;
#line 314
	long modem_speed;
#line 319
	BOOL_TYP modem_xonxoff;
#line 324
	const char * lockdir;
#line 329
	long drain_lines;
#line 334
	const char * modem_init;
#line 339
	const char * modem_ring;
#line 344
	const char * modem_answer;
#line 349
	const char * modem_hangup;
#line 354
	const char * modem_reset;
#line 359
	const char * modem_active;
#line 364
	const char * modem_dial;
#line 369
	const char * modem_nocarrier;
#line 374
	const char * modem_busy;
#line 379
	const char * modem_takeoff;
#line 384
	const char * modem_tst_snd;
#line 389
	const char * modem_tst_rcv;
#line 394
	BOOL_TYP modem_set_baud;
#line 399
	BOOL_TYP modem_drop_dtr;
#line 404
	long modem_connect_wartezeit;
#line 409
	BOOL_TYP modem_sends_echo;
#line 414
	const char * modem_get_clid;
#line 422
	const char * ascii_edit;
#line 427
	const char * ansi_edit;
#line 432
	const char * vt52_edit;
#line 437
	const char * vt100_edit;
#line 442
	const char * cons_edit;
#line 447
	const char * tausch_editor;
#line 452
	BOOL_TYP color_chat;
#line 457
	const char * sysop_call;
#line 462
	BOOL_TYP console_besetzt;
#line 470
	long tausch_debug_level;
#line 475
	long news_age_limit;
#line 480
	long news_youth_limit;
#line 485
	BOOL_TYP auto_tausch_all;
#line 490
	long tausch_max_zahl;
#line 495
	long tausch_max_kb;
#line 500
	const char * tausch_in_user_preprozessor;
#line 505
	const char * tausch_out_user_postprozessor;
#line 510
	const char * tausch_in_gate_preprozessor;
#line 515
	const char * tausch_out_gate_postprozessor;
#line 520
	const char * tausch_in_box_preprozessor;
#line 525
	const char * tausch_out_box_postprozessor;
#line 530
	long async_max_spool;
#line 535
	const char * badmailfrom;
#line 543
	long kill_inactive_days;
#line 546
	long kill_inactive_calls;
#line 551
	long  gast_flashback;
#line 556
	const char * default_chef;
#line 561
	BOOL_TYP allow_one_part_usernames;
#line 566

#line 571
	const char * username_extrachars;
#line 576
	BOOL_TYP username_keepcase;
#line 581
	BOOL_TYP relogin_for_relogins;
#line 586
	BOOL_TYP upload_free;
#line 591
	BOOL_TYP ask_newuser_userantrag;
#line 596
	BOOL_TYP neuuser_protokoll;
#line 601
	BOOL_TYP catch_signals;
#line 606
	long log_quality_level;
#line 611
	char * log_quality_command;
#line 616
	long login_timeout;
#line 621
	long user_timeout;
#line 626
	long warn_diskspace;
#line 631
	const char * junk_group;
#line 636
	const char * default_moderator;
#line 644
	const char * ascii_termcap;
#line 649
	const char * vt52_termcap;
#line 654
	const char * ansi_termcap;
#line 659
	const char * vt100_termcap;
#line 664
	const char * rsmtp_username;
#line 669
	const char * rsmtp_spooler;
#line 674
	BOOL_TYP rsmtp_allow_vrfy;
#line 679
	BOOL_TYP rsmtp_allow_expn;
#line 684
	long rsmtp_normal_timeout;
#line 689
	long rsmtp_data_timeout;
#line 694
	long rsmtp_max_size;
#line 699
	const char * default_brett;
#line 704
	const char * console_wildcard;
#line 709
	const char * modem_wildcard;
#line 714
	long mmap_max;
#line 719
	const char * console_init_prg;
#line 726
	BOOL_TYP ti;
#line 54 "confvars.m4"
} TOM_CONFIG;
#line 54

#line 54
extern TOM_CONFIG box_conf;
#line 54
void dump_quark_configuration(FILE *f);
#line 54
BOOLEAN read_quark_configuration(const char *cnf_name);
#line 54

#line 54
/* Schreiberleichterung */
#line 54
#ifndef MYDOMAINPART
#line 54
#   define MYDOMAINPART box_conf.mausnet_kennung
#line 54
#endif
#line 54
#endif
