/* datum_pro_S2.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/* verschiedene Zeit/Datumsfunktionen.  */

#include "config.h"

#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "portab.h"
#include "libquark.h"


/* LIBQUARK_FUNCTION(Funktion,char *,datum_pro_S2,
[[(time_t @var{zeit])]],[[
Liefert einen Zeiger auf einen statischen und auch von @code{datum_pro_S()}
benutzten Puffer zurck, in dem das Datum @var{zeit} im Format
@code{YY_MM_DD} abgelegt ist (Beispiel: @code{96_02_15}).
]] */

/*
 * jj_mm_tt
 */
char *
datum_pro_S2 (time_t zeit)
{
	static char tmp[20];

	fast_strftime (tmp, sizeof (tmp) - 1, "%y_%m_%d", localtime (&zeit));

	return tmp;
}
