/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include "tomsysdep.h"

#include <portab.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "prototyp.h"
#include "brett.h"
#include "modem.h"
#include "msg.h"
#include "user.h"
#include "aktdata.h"
#include "tomtcl.h"

extern int logout_modus; /* TCL-Schnittstelle */

const char *
download_time_S(BRETTNR bnr, long msgnr)
{
	static char dwnl_time[10];
	time_t ges_secL;
	struct stat statbuf;

	if (stat(tprintf("%s%ld.bin",brettpfad(bnr),msgnr),&statbuf))
	{
		mboutput("Fehler: Datei nicht gefunden");
		return "Fehler: Datei nicht gefunden";
	}

	if (akt_connection.carrier_cps)
	{
		ges_secL = download_time(statbuf.st_size);
		sprintf(dwnl_time,"%02ld:%02ld",ges_secL / 60,ges_secL % 60);
	}
	else
		strcpy(dwnl_time,"unbekannt");

	return dwnl_time;

} /* download_time_S */

time_t 
download_time(ULONG bytes)
{
	if (akt_connection.carrier_cps)
		return bytes / akt_connection.carrier_cps;
	else
		return 0;

} /* download_time */


