/* lock_dev.c: still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include "tomsysdep.h"

#include <string.h>
#include <limits.h>

#include "prototyp.h"
#include "box_conf.h"
#include "lockfile.h" /* libquark */

int 
lock_dev(const char *device, int unlock)
{
	char lockfname[PATH_MAX];
	char *p;
	p=lock_dev_filename(device);
	if (!p)
		return -1;
	sprintf(lockfname,"%s%s",box_conf.lockdir,p);
	if (unlock)
		return lock_delete(lockfname);
	return lock_create(lockfname,NULL);
}
