/* mbselect.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include "tomsysdep.h"

#include <portab.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "modem.h"
#include "prototyp.h"
#include "aktdata.h"
#include "tomtcl.h"

extern int logout_modus;

/*
 * 25.10.94 Uwe, als Alternative zu mbdecide.
 */
WORD mbselect(const struct mbselect_t *auswahl)
{
	int taste=0;
	const struct mbselect_t *mbs;

	while (!logout_modus)
	{
		taste = toupper(mbchar());
		if (taste == '\n')
			taste = '\r';
		for (mbs=auswahl;mbs && mbs->key; mbs++)
		{
			if (toupper(mbs->key)==taste)
			{
				if (mbs->output)
					mboutput(mbs->output);
				return mbs->key;
			}
		}
	}

	return 0;

} /* mbselect */


