/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@ohse.de Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
*/
#include <portab.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "tomsysdep.h"
#include "prototyp.h"
#include "aktdata.h"


/* Zur User/Gruppen-ID der Box wechseln. */
void 
set_box_ids(void)
{
	if (akt_connection.ruid != akt_connection.euid)
	{
#ifdef _POSIX_SAVED_IDS
		setuid (akt_connection.euid);
#else
		setreuid (akt_connection.euid, akt_connection.ruid);
#endif
	}
	if (akt_connection.rgid != akt_connection.egid)
	{
#ifdef _POSIX_SAVED_IDS
		setgid (akt_connection.egid);
#else
		setregid (akt_connection.egid, akt_connection.rgid);
#endif
	}
}

