m4_dnl
m4_dnl
m4_dnl
m4_changequote(,)m4_dnl
m4_changequote([[,]])m4_dnl
m4_dnl
m4_dnl
m4_dnl TAUSCH_KOMMANDO -> ein Tauschkommando definieren
m4_dnl Parameter:
m4_dnl   $1  -> Bereich (gcmd, ucmd, ....)
m4_dnl   $2  -> Kommandoname (mitglied)
m4_dnl   $3  -> magic1
m4_dnl   $4  -> magic2
m4_dnl   $5  -> funktionsname,
m4_dnl   $6  -> Level
m4_dnl   $7  -> Textpara
m4_dnl   $8  -> Numpara
m4_dnl   $9  -> ITK-ID-Nummer
m4_dnl   $10 -> Kommandogruppierung
m4_dnl   $11 -> ITK-Version
m4_dnl   $12 -> ITK-Typ
m4_dnl   $13 -> ITK-Name
m4_dnl   $14 -> ITK-Beschreibung
m4_dnl   $15 -> ITK-Definition
m4_dnl externe Einflsse:
m4_dnl Wenn MAKE_TAUSCH_CMD_HEADER definiert ist, wird eine Liste der
m4_dnl Kommandos erzeugt fr ta_cmd.h.
m4_dnl Wenn MAKE_TAUSCH_CMD_INIT definiert ist, werden C-Statements zur
m4_dnl Initialisierung der Kommandoliste erzeugt.
m4_dnl
m4_dnl Wenn MAKE_HEADER definiert ist, dann soll eine Liste der Kommandos
m4_dnl fr die Headerdatei erzeugt werden.
m4_ifdef([[MAKE_HEADER]],m4_dnl
[[m4_dnl
m4_divert(0)m4_dnl
/*   Nr.     Funktion                          Zeile  Datei */
m4_divert(-1)m4_dnl
m4_define([[TAUSCH_KOMMANDO]],[[m4_dnl
m4_divert(0)m4_dnl
m4_format([[/* %4d      %-32s  %5d  %-20s */]],[[$9]],m4_dnl
m4_patsubst([[$5]],[^a-z0-9A-Z_]),m4_dnl
	m4___line__, m4_patsubst([[m4___file__]],[[^.*/]]))
extern ta_command_t ta_$1_desc_$2;
m4_divert(-1)m4_dnl
]])m4_dnl End of define TAUSCH_KOMMANDO
]], m4_dnl End of ifzweig von ifdef MAKE_HEADER
m4_ifdef([[MAKE_INIT]],m4_dnl
[[
m4_divert(-1)m4_dnl
m4_ifdef([[TAUSCH_LAST_CMD]],,m4_define([[TAUSCH_LAST_CMD]],NULL))m4_dnl
m4_define([[TAUSCH_KOMMANDO]],[[m4_dnl
m4_divert(0)m4_dnl
	ta_$1_desc_$2.next=TAUSCH_LAST_CMD;
m4_divert(-1)m4_dnl
m4_undivert(2)m4_dnl
m4_divert(2)m4_dnl
	kommandos=&ta_$1_desc_$2;
m4_divert(-1)m4_dnl
m4_define([[TAUSCH_LAST_CMD]],&ta_$1_desc_$2)m4_dnl
]])m4_dnl End of define TAUSCH_KOMMANDO
]], m4_dnl End of ifzweif von ifdef MAKE_INIT
m4_dnl Elsezweig ifdef MAKE_INIT und MAKE_HEADER
m4_define([[TAUSCH_KOMMANDO]],[[
ta_command_t ta_$1_desc_$2 = {
	/* Magic 1       */ $3,
	/* Magic 2       */ $4,
	/* Funktionsname */ $5,
	/* Min. Level    */ $6,
	/* Textpara      */ $7,
	/* Num. Parameter*/ $8,

	/* ITK-ID-Nummer */ $9,
	/* Gruppierung   */ $10,
	/* ITK-Version   */ $11,
	/* ITK-Typ       */ $12, 
	/* ITK-Name      */ $13, 
	/* ITK-Beschrei. */ 
	$14
	, 

	/* ITK-Syntaxdefinition*/
	$15
	,

	/* Verkettungsptr*/ NULL
};]]
)m4_dnl
)m4_dnl
)m4_dnl
m4_dnl
m4_dnl
m4_dnl
m4_dnl TOMTCL_FUNCTION  -> Ein TCL-Funktion definieren
m4_dnl -DMAKE_TCL_FUNCTION_HEADER -> Eine Liste der Funktionen fr eine 
m4_dnl   Headerdatei erzeugen
m4_dnl -DMAKE_TCL_FUNCTION_INIT -> Die Liste der Funktionen initialisieren.
m4_dnl -DMAKE_TCL_FUNCTION_DOKU -> Eine
m4_dnl
m4_dnl Parameter:
m4_dnl $1 TCL-Kommandoname "tom_blahfasel"
m4_dnl $2 C-Funktionsname "ttcl_blahfasel"
m4_dnl $3 Doku
m4_dnl $4 Funktionsrumpf.
m4_dnl 
m4_dnl
m4_ifdef([[MAKE_TCL_FUNCTION_INIT]],m4_dnl
[[
m4_divert(1)m4_dnl
static void
ttcl_init(void)
{
	init_done=TRUE;

	ttcl_interp=Tcl_CreateInterp();
	if (!ttcl_interp)
	{
		syslog(LOG_ERR,"Kann TCL Interpreter nicht anlegen");
		return;
	}
	Tcl_Init(ttcl_interp);
m4_divert(3)m4_dnl
}
#endif
m4_define([[TOMTCL_FUNCTION]],[[m4_dnl
m4_divert(0)m4_dnl
extern TTCL_PROTO($2);
m4_divert(2)m4_dnl
Tcl_CreateCommand(ttcl_interp,"$1",$2, NULL, NULL);
m4_divert(-1)m4_dnl
]])m4_dnl End of define TOMTCL_FUNCTION
m4_divert(-1)m4_dnl
]], m4_dnl End of ifzweig von ifdef MAKE_TCL_FUNCTION_INIT
m4_ifdef([[MAKE_TCL_FUNCTION_DOKU]],m4_dnl
[[
m4_divert(-1)m4_dnl
define([[TOMTCL_FUNCTION]],[[m4_dnl
m4_divert(1)m4_dnl

$3

m4_divert(-1)m4_dnl
]])m4_dnl Ende von TOMTCL_FUNCTION
]], m4_dnl Ende des ifzweigs von MAKE_TCL_FUNCTION_DOKU
m4_dnl Elsezweig ifdef MAKE_TCL_FUNCTION_HEADER und MAKE_TCL_FUNCTION_INIT
m4_define([[TOMTCL_FUNCTION]],[[
#ifdef HAVE_LIBTCL
TTCL_PROTO($2);
int 
$2 (ClientData dummy, Tcl_Interp *interp, int argc, char *argv[])
{
$4
}
#endif
]]
)m4_dnl
)m4_dnl
)m4_dnl
