/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/* String im printf-Format in temporten Speicher schreiben */

#include "config.h"

#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#include "portab.h"
#include "libquark.h"

/*
	String im printf-Format in statischen Speicher schreiben

	12.11.92 Frank

	Diese Funktion darf NICHT verschachtelt aufgerufen werden !
*/
char *tprintf(const char *format,...)
{
	va_list param;
	static char *tmp=NULL;
	if (tmp)
	{
		free(tmp);
		tmp=NULL;
	}

	va_start(param,format);
	(void) vasprintf(&tmp,format,param);
	va_end(param);
	/* wer tprintf aufruft verlt sich darauf, da die Funktion Erfolg hat */
	XNULLCHECK(tmp);
	return tmp;
} /* tprintf */
