/* liste.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
 * TOM Mailboxsystem
 * Copyright (C) 1993 1994 1995 Frank Baumgart, Uwe Ohse
 *
 * #include <all_rights_reserved>
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "config.h"

#include <portab.h>
#include <stdio.h>
#include <limits.h>

#include "tomsysdep.h"
#include "prototyp.h"
#include "befehle.h"
#include "modem.h"
#include "brett.h"
#include "user.h"

extern BRETTNR brettnrW;



BOOLEAN bef_liste(const char *dummy TOM_ATTRIB_UNUSED)
{
	char datei[PATH_MAX];
	FILE *acc_f;
	USERNR tmp_nr;
	USER tmp_user;

	sprintf(datei,"%s%s",brettpfad(brettnrW),"zugriff.dat");
	if (!fileexist(datei))
	{
		mbfehler("Keine Zugriffsliste vorhanden");
		return FALSE;
	}

	set_status_line("Folgende User haben Zugriff auf dieses Brett");
	if ((acc_f = fopen(datei,BINREAD)) == NULL)
		return FALSE;
	while (fread(&tmp_nr,sizeof(USERNR),1,acc_f))
	{
		if (ub_read_user(tmp_nr,&tmp_user,FALSE))
			if (mbprintf(" %s\r\n",tmp_user.name) < 0)
				break;
	}
	fclose(acc_f);

	return TRUE;

} /* bef_liste */
