#
# pt_tausch.c: Tauschsoftwaremen des Programmteil
#

proc pt_tauschsoftmenuhelp { off lang } {
   	set level [ tom_getvar "%ul" ]
   	set auswahl ""
   	global pt_tauschsoftzahl pt_tauschsoft
   	global TRENNSTRICHE
   	global SCHNELLOGOUT

    for {set i 0} {$i < $pt_tauschsoftzahl} {set i [expr $i+1]} {
    	append_entry auswahl liste $pt_tauschsoft($i,text)
    }

	if {$TRENNSTRICHE} {
		lappend liste "---------------------"
	}
	if {$SCHNELLOGOUT} {
   		append_entry auswahl liste "(!) Schnell ausloggen"
   	}
   	append_entry auswahl liste "(^) Programmteil schnell verlassen"
    append_entry auswahl liste "(Z)urck"

    if {$lang} {
        do_help $off $liste
        return "${auswahl}"
    }
    kurz_menue_hilfe "${auswahl}"
    return "${auswahl}?"
}

proc pt_tauschsoftmenu { } {
   	global pt_tauschsoftzahl pt_tauschsoft
   	global logout_modus quickout

    while (1) {
    	if {$quickout} {return}
        set wahl [work_menu "MausTauschsoftware" pt_tauschsoftmenuhelp]
		if {$logout_modus} { return }

        if { "$wahl" == "Z" } {
            return
        } elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
        } elseif { "$wahl" == "^" } {
        	set quickout 1
		} else {
			for {set i 0} {$i < $pt_tauschsoftzahl} {set i [expr $i+1]} {
				if {![string compare $pt_tauschsoft($i,key) $wahl]} {
					tom_display_file \
						"[tom_getvar %px]tauschsoft/$pt_tauschsoft($i,helpfile)"
					set sum 0
					set anzahl 0
					tom_puts ""
					tom_puts "Sie bentigen:"
					foreach j $pt_tauschsoft($i,files) {
						set noaccess [catch {
							incr sum [file size $j]
							incr anzahl
						} ]
						set pos [string last / $j]
						if {$pos != -1} {
							incr pos
							tom_puts "  [string range $j $pos end]"
						} else {
							tom_puts " $j"
						}
						if {$noaccess} {
							tom_puts "Achtung: die Datei fehlt!"
						}
					}
					if {$anzahl > 1} {
						tom_puts "insgesamt $anzahl Dateien mit $sum Bytes"
						tom_puts ""
						tom_puts "  (D)ownloaden"
						tom_puts "  (E)inzeln downloaden"
						tom_puts "  (N)icht downloaden"
						tom_puts -nonewline "Ihre Wahl? "
						set wahl [tom_select { D "Downloaden\r\n" \
							"E" "Einzeln\r\n" \
							"N" "Nicht\r\n" } ]
					} else {
						tom_puts "eine Datei mit $sum Bytes."
						tom_puts ""
						tom_puts "  (D)ownloaden"
						tom_puts "  (N)icht downloaden"
						tom_puts -nonewline "Ihre Wahl? "
						set wahl [tom_select { D "Downloaden\r\n" "N" "Nicht\r\n" } ]
					}
					tom_puts ""
					if {$wahl == "D"} {
						tom_transfer_send "" $pt_tauschsoft($i,files)
					} elseif {$wahl == "E"} {
						set prot ""
						foreach j $pt_tauschsoft($i,files) {
							set pos [string last / $j]
							if {$pos != -1} {
								incr pos
								tom_puts "  [string range $j $pos end], \
									[file size $j] Bytes"
							} else {
								tom_puts " $j"
							}
							tom_puts "  (D)ownloaden"
							tom_puts "  (N)icht downloaden"
							tom_puts -nonewline "Ihre Wahl? "
							set wahl [tom_select { D "Downloaden\r\n" \
								"N" "Nicht\r\n" } ]
							if {$wahl == "D"} {
								set prot [tom_transfer_send "$prot" $j]
								if {$prot == "-1" || $prot=="-2"} {
									break;
								} 
							}
						}
					}
					wait_after
					break;
				}
			}
        }
    }
}

