/* mbdecide.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include <portab.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "prototyp.h"
#include "modem.h"


/*
	25.10.94 Uwe, komplett berarbeitet.
*/
WORD mbdecide(const char *auswahlT,const char *antwort)
{
	char *buf;
	int i;
	UWORD ret;
	struct mbselect_t *mbs;
	int len;

	len=(int) strlen(auswahlT); /* das ist sicher */
	mbs=XMALLOC((len+1)*sizeof(struct mbselect_t));

	for (i=0;i< len;i++)
	{
		mbs[i].key=auswahlT[i];
		mbs[i].output=NULL;
	}
	mbs[i].key=0;

	buf=strdup(antwort);
	if (buf)
	{
		char *p,*s;
		s=buf;
		i=0;
		while(s && *s)
		{
			p=strchr(s,'|');
			if (p)
				*p='\0';
			mbs[i++].output=s;
			if (p)
				s=p+1;
			else
				s=NULL;
			if (i==len)
				break;
		}
	}
	ret=mbselect(mbs);
	for (i=0;i<len;i++)
	{
		if (mbs[i].key==ret)
			break;
	}
	if (i>=len)
		ret=0;
	else
		ret=i+1;

	if (buf)
		free(buf);
	free(mbs);
	return ret;

} /* mbdecide */

