/* md5file.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifndef MD5FILE_H
#define MD5FILE_H

typedef unsigned long md5file_word;

typedef struct md5file
 {
  md5file_word state[4];
  md5file_word count[2];
  unsigned char buffer[64];
 }
md5file;

#define MD5FILE_HASHLEN 16

extern void md5file_clear(md5file *context);
extern void md5file_addn(md5file *context, unsigned char *input, int inputLen);
extern void md5file_add(md5file *context, unsigned char c);
extern void md5file_hash(md5file *context, unsigned char digest[16]);

#endif
