/* ordner_daten.c: still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include "tomsysdep.h"

#include <portab.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/stat.h>
#include <dirent.h>

#include "prototyp.h"
#include "modem.h"

void ordner_daten(const char *pfad,BOOLEAN anzeige,long *anzahl,long *summe)
{
	DIR *dir;
	struct dirent *dp;

	if (anzahl)  *anzahl = 0;
	if (summe)   *summe = 0;

	dir = opendir(pfad);
	for (dp = readdir(dir); dp != NULL; dp = readdir(dir))
	{
		if (dp->d_name[0] == '.')
			continue;
		if (anzahl)
			(*anzahl)++;
		if (summe)
		{
			struct stat buf;
			stat(tprintf("%s/%s",pfad,dp->d_name),&buf);
		   *summe += buf.st_size;
		}
		if (anzeige)
			mbprintf(" -> %s/%s\r\n",pfad,dp->d_name);
	}
	closedir(dir);

} /* ordner_daten */


