/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include "config.h"
#include "portab.h"

#ifdef TM_IN_SYS_TIME
# ifdef TIME_WITH_SYS_TIME
#  include <sys/time.h>
#  include <time.h>
# else
#  ifdef HAVE_SYS_TIME_H
#   include <sys/time.h>
#  else
#   include <time.h>
#  endif
# endif
#else
# include <time.h>
#endif

#include "mtzeit.h"

/* LIBQUARK_FUNCTION(Funktion,BOOLEAN,tm_t_to_mtzeit,
[[(struct tm *@var{tim}, char *@var{buf})]],[[
Die Funktion konvertiert die Zeit @var{tim} im @code{broken down time
format} in das MausTausch-Zeitformat ohne Sekunden (YYYYMMDDHHMM).
@var{buf} enthlt das Ergebnis und mu gro genug sein (13 Bytes inc.
abschlieender 0).

Liefert TRUE bei Erfolg, sonst FALSE.
]] */

BOOLEAN
tm_to_mtzeit (struct tm *tm, char *buf)
{
	if (!tm || !buf)
		return FALSE;
	if (fast_strftime (buf, 13, "%Y%m%d%H%M", tm) == NULL)
		return FALSE;
	return TRUE;
}
