/* ub_int.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#if !defined(UB_INT_H)
#define UB_INT_H

/*
 * Hochgradig interne Daten, die eigentlich nur der Server kennen mu,
 * die aber fr die Singleportversion zumindest auch die Kommunikations-
 * schicht bentigt.
 */
#include <portab.h>
#include <time.h>

/********************************************************************
 * Aufbau der Datei "user.dat"
 ********************************************************************/

	/* Lnge eines Userdatensatzes auf der Platte */
#define UB_USERBLOCK	1024

	/* Offset zum ersten User in der Datei, davor stehen Verwaltungsdaten */
#define UB_OFFSET_FIRST_USER	1024

extern LISTUSER *ub_anker;

#define UB_MAGIC 0x0369CF01L

#define USERDATNAME "user_2.dat"

extern char *ub_basepath;

/*
 * to keep track of open user files.
 */
typedef struct ub_fd_control_t {
	int fd;
	USERNR unr;
	struct ub_fd_control_t *next;
} ub_fd_control_t;

extern ub_fd_control_t *ub_fd_anker;



#endif
